proton::io Namespace Reference

Experimental - An SPI for multithreaded network IO. More...

## Classes

class | connection_engine
| Experimental - An AMQP protocol engine for a single connection. More...
struct | const_buffer
| Experimental - Pointer to a const memory region with a size. More...
class | container_impl_base
| Experimental - A base container implementation. More...
class | link_namer
| Experimental - Generate default link names that are unique within a container. More...
struct | mutable_buffer
| Experimental - Pointer to a mutable memory region with a size. More...

## Functions

void | set_link_namer (connection &, link_namer &)

## Detailed Description

Experimental - An SPI for multithreaded network IO.